var BoolArray = [true, false, 'true', 'false', 1, 0];
const isBoolean = function (arg: any) {
    if (BoolArray.indexOf(arg) === -1) {
        return false;
    } else {
        return true;
    }
}
const Boolify = function (arg: any) {
    if (BoolArray.indexOf(arg) === -1) {
        return null;
    } else {
        return (arg == true || arg == 'true' || arg == 1) ? true : false;
    }
}

export { isBoolean, Boolify };